Save
Saving
  • G
    Gary

    i have 1.1.3 and it prompts an update to 1.1.4
    i clicked the buili-in 'Install Update' bottom but it faild with an update error.
    i've tried so many times and even download manually, but i still can't update to 1.1.4
    what's the matter with this version?

    posted in Comments & Feedback read more